2019-12-09 05:21 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000895FSSCPmultiplayerpublic2006-11-14 19:53
ReporterDa_Brain 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.9 
Summary0000895: Animated subojects and engine trails do not work in multiplayer
DescriptionEach player can see the suboject animation of his own ship, but not of any other ship. AB trails seem to suffer the same problem. (Note: I *thuink* they worked a long time ago. Maybe something got broken. I'm not sure though.)

If an AI ship has animated subobjects, only the hosting player will get to see the animation.

Happens with all builds I've tested so far.
Additional InformationAnimated subobjects caused CTDs in multiplayer before. This was fixed by Bobboau.

taylor wanted this bug to be assigned to him

More detailed info can be found here:
http://www.hard-light.net/forums/index.php/topic,39124.0.html
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0001246resolvedtaylor Shivan Comm Nodes 
+Relationships

-Notes

~0005429

Wanderer (developer)

Additional data...

Other players - than the hosting player - can see their own and the hosting player's AB trails. They can not see AB trails created by other non-hosting players. Hosting player can see only his own AB trail. Happens with all recent builds.

~0005464

Da_Brain (developer)

More data: If a human player gets kicked out of the game (ctd, or whatever) and the AI takes over his fighter, the AB trails start working again at once.

I think that might be quite useful info.

~0005867

taylor (administrator)

Passing this one off to karajorma since he's already fixed several multi-packet related issues, and I don't have time to work on this.

~0005869

karajorma (administrator)

I'll take a look at it but it's going to be a while seeing as I just reinstalled windows and I don't even have a working compiler installed yet.

It should be reasonably easy to solve once I can figure out which packets should contain the data needed. Bobboau's fix is probably a good place to start.

~0006145

karajorma (administrator)

The afterburner trails thing is now resolved.

The animation thing might be a bit more complex baring in mind that I haven't got the foggiest how Bob's animation code works.

~0006153

taylor (administrator)

The good thing about the animtaion code is that if the triggering is done in a function which is already handled by multimsgs, then we can ignore it. Like the afterburner related animation, it's triggered by afterburner_start(), so as long as that is getting properly handled by the multiplayer code then the submodel animation is handled automatically.

The submodel animation code was not created with network support in mind though so it might be difficult to handle things that we can't filter through code which already works with animations. With the afterburners fixed we should get the benefit of afterburner triggered animations also working now, but that's untested so far.

~0006956

taylor (administrator)

I'm redoing some of the subobject animation code right now (I never realized how absolute crap that stuff was) so I should be able to fix some of the bulk effects (such as afterburners, and maybe bay-doors).

~0006986

taylor (administrator)

Last edited: 2006-10-23 14:50

My updated modelanim code has a fix for "multiplayer-safe" animation types. Right now those are only these triggers: primary/secondary weapons, afterburner. If those test out ok (I haven't actually tried it myself yet) then I may also be able to add bay_door and turret_firing triggers as well.

Hopefully a test build will be available soon for you SoL guys to give this a try and let me know how it works.

edited on: 10-23-06 14:50

~0006991

Goober5000 (administrator)

"I'm redoing some of the subobject animation code right now (I never realized how absolute crap that stuff was)..."

Awesome. :D This was on my to-do list as well, but it probably would have been a year or at least several months before I looked at it.

~0006992

taylor (administrator)

It will still need a good bit more work, but it will be a lot cleaner now at least. It would be nice if all of the model animation code was centralized rather than spread out over everywhere, but that is something for post-3.6.9.

I've mainly fixed a bunch of bugs, cleaned up the structs, fixed all of the timers, fixed a few performance issues, did a model_anim_*() thing to all functions, etc. Nothing too major since I did want this in 3.6.9 and I didn't have a lot of time to go for the full service. It will now be a lot better off for a future code reorg though. :)

~0007027

taylor (administrator)

I still have a few changes to make, but the bulk of the new modelanim changes are now in CVS (the 3_6_9 tree only for the time being). Still not sure if the multiplayer changes actually work, so I'll wait until someone can verify that before I resolve this bug.

A test build should be available tomorrow.

~0007033

taylor (administrator)

http://icculus.org/~taylor/fso/testing/rc7dot9.rar

~0007123

taylor (administrator)

Not having heard anything to the contrary...

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2006-04-27 08:16 Da_Brain New Issue
2006-04-29 07:09 Wanderer Note Added: 0005429
2006-05-04 15:56 Da_Brain Note Added: 0005464
2006-06-18 15:52 taylor Note Added: 0005867
2006-06-18 15:52 taylor Assigned To taylor => karajorma
2006-06-19 05:47 karajorma Note Added: 0005869
2006-07-11 18:44 karajorma Note Added: 0006145
2006-07-12 15:39 taylor Note Added: 0006153
2006-10-21 00:55 taylor Note Added: 0006956
2006-10-21 00:55 taylor Assigned To karajorma => taylor
2006-10-23 14:50 taylor Note Added: 0006986
2006-10-23 14:50 taylor Note Edited: 0006986
2006-10-23 18:46 Goober5000 Note Added: 0006991
2006-10-23 19:50 taylor Note Added: 0006992
2006-10-27 16:42 taylor Note Added: 0007027
2006-10-27 16:42 taylor Status assigned => feedback
2006-10-28 15:07 taylor Note Added: 0007033
2006-11-14 19:53 taylor Status feedback => resolved
2006-11-14 19:53 taylor Fixed in Version => 3.6.9
2006-11-14 19:53 taylor Resolution open => fixed
2006-11-14 19:53 taylor Note Added: 0007123
2007-04-19 11:24 karajorma Relationship added has duplicate 0001246
+Issue History